﻿using Sample.Models;
using Syncfusion.JavaScript;
using Syncfusion.JavaScript.DataSources;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace Sample.Controllers
{
    public class HomeController : Controller
    {
        //
        // GET: /Home/

        public ActionResult Index()
        {
            var MasterData = OrderRepository.GetAllRecords();
            ViewBag.dataSource1 = MasterData;

            var Name = OrderRepository.GetAllRecords().Select(p => new { text = p.CustomerID, value = p.CustomerID }).Distinct().ToList();
            ViewBag.name = Name;

            return View();
        }
       

       
     
        public ActionResult DataSource(string titleValue)
        {

          var userTemplates = OrderRepository.GetAllRecords().Where(c => c.CustomerID == titleValue).OrderBy(a => a.ShipCity).Select(a => new { value = a.ShipCity, text = a.ShipCity }).Distinct().ToList();
           
          return Json(userTemplates, JsonRequestBehavior.AllowGet);
        }
    }
}
